import request from '@/utils/request'

// 查询转账明细列表
export function listTransferDetail(query) {
  return request({
    url: '/ss/transferDetail/list',
    method: 'get',
    params: query
  })
}

// 查询转账明细详细
export function getTransferDetail(detailId) {
  return request({
    url: '/ss/transferDetail/' + detailId,
    method: 'get'
  })
}

// 新增转账明细
export function addTransferDetail(data) {
  return request({
    url: '/ss/transferDetail',
    method: 'post',
    data: data
  })
}

// 修改转账明细
export function updateTransferDetail(data) {
  return request({
    url: '/ss/transferDetail',
    method: 'put',
    data: data
  })
}

// 删除转账明细
export function delTransferDetail(detailId) {
  return request({
    url: '/ss/transferDetail/' + detailId,
    method: 'delete'
  })
}
